import MergingProcessRepository, { MergeProcessFilterCriteria } from '../../../protection-plan/domain/repositories/merging-process-repository';
export declare class DeleteMergingProcessByCriteriaUseCase {
    private repo;
    constructor(repo: MergingProcessRepository);
    execute(criteria: MergeProcessFilterCriteria): Promise<string[]>;
}
